Package org.springframework.security.web.server.authentication

# Class ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver

java.lang.Object
org.springframework.security.web.server.authentication.ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver

All Implemented Interfaces:
  `org.springframework.security.authentication.ReactiveAuthenticationManagerResolver<org.springframework.web.server.ServerWebExchange>`

public final class ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver extends Object implements org.springframework.security.authentication.ReactiveAuthenticationManagerResolver<org.springframework.web.server.ServerWebExchange>
A `ReactiveAuthenticationManagerResolver` that returns a `ReactiveAuthenticationManager` instances based upon the type of `ServerWebExchange` passed into `resolve(ServerWebExchange)`.

Since:
  5.7

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder`
A builder for `ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver`.

## Method Summary

Modifier and Type
Method
Description
`static ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder`
`builder()`
Creates a builder for `RequestMatcherDelegatingAuthorizationManager`.
`reactor.core.publisher.Mono<org.springframework.security.authentication.ReactiveAuthenticationManager>`
`resolve(org.springframework.web.server.ServerWebExchange exchange)`
`void`
`setDefaultAuthenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager defaultAuthenticationManager)`
Set the default `ReactiveAuthenticationManager` to use when a request does not match

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### resolve

public reactor.core.publisher.Mono<org.springframework.security.authentication.ReactiveAuthenticationManager> resolve(org.springframework.web.server.ServerWebExchange exchange)

Specified by:
  `resolve` in interface `org.springframework.security.authentication.ReactiveAuthenticationManagerResolver<org.springframework.web.server.ServerWebExchange>`

### setDefaultAuthenticationManager

public void setDefaultAuthenticationManager(org.springframework.security.authentication.ReactiveAuthenticationManager defaultAuthenticationManager)
Set the default `ReactiveAuthenticationManager` to use when a request does not match

Parameters:
  `defaultAuthenticationManager` - the default `ReactiveAuthenticationManager` to use

### builder

public static ServerWebExchangeDelegatingReactiveAuthenticationManagerResolver.Builder builder()
Creates a builder for `RequestMatcherDelegatingAuthorizationManager`.

Returns:
  the new `RequestMatcherDelegatingAuthorizationManager.Builder` instance